org.apache.xmlbeans.impl.soap

## Class SOAPConnectionFactory

- java.lang.Object
- - org.apache.xmlbeans.impl.soap.SOAPConnectionFactory

    public abstract class SOAPConnectionFactory
    extends Object

A factory for creating `SOAPConnection` objects. Implementation of this class is optional. If `SOAPConnectionFactory.newInstance()` throws an `UnsupportedOperationException` then the implementation does not support the SAAJ communication infrastructure. Otherwise `SOAPConnection` objects can be created by calling `createConnection()` on the newly created `SOAPConnectionFactory` object.

### Constructor Summary

Constructors
Constructor and Description
`SOAPConnectionFactory()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract SOAPConnection` `createConnection()` Create a new `SOAPConnection`.
`static SOAPConnectionFactory` `newInstance()` Creates an instance of the default `SOAPConnectionFactory` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SOAPConnectionFactory

    public SOAPConnectionFactory()

### Method Detail

#### newInstance

    public static SOAPConnectionFactory newInstance()
                                             throws SOAPException,
                                                    UnsupportedOperationException

Creates an instance of the default `SOAPConnectionFactory` object.

Returns:
  a new instance of a default `SOAPConnectionFactory` object
Throws:
  `SOAPException` - if there was an error creating the `SOAPConnectionFactory`
  `UnsupportedOperationException` - if newInstance is not supported.

#### createConnection

    public abstract SOAPConnection createConnection()
                                             throws SOAPException

Create a new `SOAPConnection`.

Returns:
  the new `SOAPConnection` object.
Throws:
  `SOAPException` - if there was an exception creating the `SOAPConnection` object.